GCLOUD_COMPUTE_DISKS_MOVE(1)

NAME

gcloud compute disks move - move a disk between zones

SYNOPSIS

gcloud compute disks move DISK --destination-zone DESTINATION_ZONE [--zone ZONE] [GLOBAL-FLAG ...]

DESCRIPTION
gcloud compute disks move facilitates moving a Google Compute Engine disk volume from one zone to another. You cannot move a disk if it is attached to a running or stopped instance; use the gcloud compute instances move command instead. For example, running:.RS 2m $ gcloud compute disks move example-disk-1 --zone us-central1-b \
   --destination-zone us-central1-f
will move the disk called example-disk-1, currently running in us-central1-b, to us-central1-f.

POSITIONAL ARGUMENTS
DISK
    The name of the disk to move.

REQUIRED FLAGS
--destination-zone DESTINATION_ZONE
    The zone to move the disk to.

OPTIONAL FLAGS
--zone ZONE
    The zone of the disk to move. If not specified, you will be prompted to select a zone. To avoid prompting when this flag is omitted, you can set the compute/zone property:
        $ gcloud config set compute/zone ZONE
    A list of zones can be fetched by running:
        $ gcloud compute zones list
    To unset the property, run:
        $ gcloud config unset compute/zone
    Alternatively, the zone can be stored in the environment variable CLOUDSDK_COMPUTE_ZONE.

GLOBAL FLAGS
Run $ gcloud help for a description of flags available to all commands.